Page MenuHomeFreeBSD

graphics/drm-legacy-kmod: fix build
ClosedPublic

Authored by pkubaj on May 17 2019, 10:57 AM.

Details

Summary

Fix compilation, sys/dev/drm was removed from base.

Also fix runtime issues on powerpc64

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

pkubaj created this revision.May 17 2019, 10:57 AM
jmd requested changes to this revision.May 18 2019, 6:27 PM

Approved with the exception of the patch file - please submit that to our upstream repository. I do not want the port to diverge from that.

Once you've done that, update hash and version in port and feel free to commit with my approval. Thanks!

This revision now requires changes to proceed.May 18 2019, 6:27 PM
pkubaj abandoned this revision.May 24 2019, 8:05 AM

Already in ports.

pkubaj reclaimed this revision.May 24 2019, 9:27 AM
This revision now requires changes to proceed.May 24 2019, 9:27 AM
pkubaj updated this revision to Diff 57837.EditedMay 24 2019, 9:30 AM

It still doesn't install:

===>   Registering installation for drm-legacy-kmod-g20190523
pkg-static: Unable to access file /tmp/usr/ports/graphics/drm-legacy-kmod/work/stage/boot/modules/i915kms.ko:No such file or directory
*** Error code 74

i915kms is not available on powerpc64.

My testing also showed that these two changes are still needed.

jmd accepted this revision.May 27 2019, 7:38 PM

Thanks, feel free to land!

This revision is now accepted and ready to land.May 27 2019, 7:38 PM
This revision was automatically updated to reflect the committed changes.